import request from '@/utils/request'

export function getMaterialPage(data) {
  return request({
    url: '/js-material/page',
    method: 'get',
    params: data
  })
}

export function getMaterialList(data) {
  return request({
    url: '/js-material/list',
    method: 'post',
    data: data
  })
}

export function getMaterialDetail(data) {
  return  request({
    url: '/js-material/listById',
    method: 'post',
    data: data
  })
}

export function addMaterialPage(data) {
  return request({
    url: '/js-material/add',
    method: 'post',
    data: data
  })
}

export function editMaterialPage(data) {
  return request({
    url: '/js-material/edit',
    method: 'post',
    data: data
  })
}

export function delMaterialPage(data) {
  return request({
    url: '/js-material/delete',
    method: 'post',
    data: data
  })
}
